<? require "header.php"; ?>

<div class="content-page">
    
    <div class="header-area">
        <div class="breadcrumbs">  
            <a href="index.php">Admin Home</a>          
            <span><a href="manual.php">Manual</a></span>  
        </div>
    </div>
    
    <div class="content-outer">  
        
        <h2>User<strong>Manual</strong></h2>
        
        <div class="text-content">

            <div class="content collapsible collapsed">
                <h3 class="api-head head"><i class="ion ion-arrow-down-a"></i> Managing Performers</h3>
                <div class="contents">

                   
                    <div class="text"><p>This section allows you to search, view, and manipulate the performers that were pulled from APIs. You can edit a performers account to enable/disable them, mark them as deleted in order to force a 404 page and prevent the script from displaying them should they get re-fetched from the APIs, or to redirect their landing page entirely (or force a 404 or 403 error)</p></div>

                    

                </div>
            </div>

            <div class="content collapsible collapsed">
                <h3 class="api-head head"><i class="ion ion-arrow-down-a"></i> Users</h3>
                <div class="contents">
                    <div class="text">
                        <p>The script has two types of users - regular users, and admin users. They differ in that the admin users are able to login to the admin area. This section lets you view/search either type of user as well as add new users or edit existing ones. You are also able to view user login history as well as export your users to CSV should you need to import them into an emailing application for instance.</p>
                    </div>
                </div>
            </div>

            <div class="content collapsible collapsed">
                <h3 class="api-head head"><i class="ion ion-arrow-down-a"></i> Categories</h3>
                <div class="contents">
                    <div class="text">
                        <p>Since there are no common categories across the various available Cam site APIs, we treat categories as a list of tags. The exact words entered here are used as search filters on the front end of the website.</p>
                    </div>
                </div>
            </div>

            <div class="content collapsible collapsed">
                <h3 class="api-head head"><i class="ion ion-arrow-down-a"></i> Sites / APIs</h3>
                <div class="contents">
                    <div class="text">
                        <p>This section allows you to manipulate the cam sites that the system supports. You can enter your affiliate information, view how many performers were pulled from each one, or enter various parameters. The parameters and webmaster information varies from site to site, so each site has additional information added as placeholders within the input fields in this section. The function name field refers to the PHP functions that are called for the site in question to fetch it's data, and are located in admin/functions.camApis.php. </p>
						<p>If you disable a website, it's data will no longer be fetched by the cronFetchPerformers script and all performers under this site will be disabled and inaccessible on the front end of the website.</p>
                    </div>
                </div>
            </div>

            <div class="content collapsible collapsed">
                <h3 class="api-head head"><i class="ion ion-arrow-down-a"></i> Comments</h3>
                <div class="contents">
                    <div class="text">
                        <p>This section allows you to edit and delete comments left by users on the model profiles. They are sorted by comment date/time descending.</p>
                    </div>
                </div>
            </div>

            <div class="content collapsible collapsed">
                <h3 class="api-head head"><i class="ion ion-arrow-down-a"></i> Static Pages</h3>
                <div class="contents">
                    <div class="text">
                        <p>The static page function lets you create static html pages such as DMCA, 2257, FAQ, etc. You can use HTML directly in the body, and it will be wrapped by the overall header and overall footer of the sites templates. The filename field lets you select what the file will be called - For instance: 2257.html will be available at http://www.domain.com/static/2257.html</p>
                    </div>
                </div>
            </div>


            <div class="content collapsible collapsed">
                <h3 class="api-head head"><i class="ion ion-arrow-down-a"></i> Settings &amp; Server Status</h3>
                <div class="contents">
                    <div class="text">
                         <h3>Script Settings</h3>
						 <p>This section houses all of the general settings for the script, such as admin email, ip restrictions and so forth. Items that are not obvious have a question mark next to them which reveals additional settings as to what that setting does.</p>
						 
						 <h3>Template Settings</h3>
						 <p>This section allows you to manipulate settings specific to the current template you are using. The current template is defined in the general script settings (template name). This section may or may not have content depending on the template you are using.</p>
						 
						 <h3>Metatags</h3>
						 <p>This section of the script allows you to edit titles, header titles, meta keywords, meta descriptions and robots metatags. The "default" information at the top is for controllers and modes within the script that do not have explicitly defined metatags. The homepage is controller = index and mode = default, and is different from the default settings you see at the top.</p> 
						 
						 <h3>Content Fields</h3>
						 <p>This section allows you to manipulate key=>value settings that the script uses in various places such as filters.</p> 
						 
						 <h3>Email Templates</h3>
						 <p>This section allows you to edit the subject and body of system emails that are sent to users.</p> 
						 
						 <h3>Server Status</h3>
						 <p>A general status page that displays information about your servers dependancies. This is mostly used by technical support.</p> 
						 
						 <h3>Memcached Status</h3>
						 <p>If you are using memcached as your caching system, and have the memcache or memcached pecl extensions installed into php - this section will give you various statistics on memcached such as cache hit percentages.</p> 
						 
						 <h3>Custom URLs</h3>
						 <p>This page lets you create custom URLs within the script, to use as landers that fetch cams with specific filters. The easiest place to get the query string required for your custom URL is to browse to it using the front end and copying the URL. Query string should not start with a "?". A few examples are provided by default.</p> 
						 
						 <h3>Link Cloaker</h3>
						 <p>This page lets you shorten or cloak a link. This is useful if you want to make a link to an affiliate program and then change it's target destination later down the road.</p> 
                    </div>
                </div>
            </div>

            <div class="content collapsible collapsed">
                <h3 class="api-head head"><i class="ion ion-arrow-down-a"></i> Templating Guide</h3>
                <div class="contents">
                    <div class="text">
                        <p>The script is controlled by a simple templating system using header/middle/footer type system. Most of the relevant template files are located in the templates directory. Below is a listing of the main templates for the script. You may have additional template files if you have opted to get custom modifications done.<br /><br>
							template.404.php - The 404 page template.<br>
							template.403.php - The 403 page template.<br>
							template.ajax_comments.php - The comments area inside of a performers profile.<br>
							template.contact.php - The contact page template.<br>
							template.edit_profile.php - The edit profile/settings page for a logged in user.<br>
							template.favorites.php - The favorites page for a logged in user.<br>
							template.forgot_pass.php - The forgot password page.<br>
							template.home.php - A blank placeholder template, not really used.<br>
							template.index.php - The content area of the homepage. This invokes the repeating template.performer_item.php script.<br>
							template.language_item.php - The repeating element within the lanugages page.<br>
							template.languages.php - The languages page, which invokes the repeating element language_item.<br>
							template.login.php - The login page.<br>
							template.maintenance.php - The maintenance page, which can be enabled by turning on maintenance mode in the admin area settings.<br>
							template.my_profile.php - The landing page after the user logs in.<br>
							template.nav.php - The navigation within the header<br>
							template.overall_header.php - The top of the 'wrapper' for the entire front end.<br>
							template.overall_footer.php - The bottom of the 'wrapper' for the entire front end.<br>
							template.performer_item.php - A repeating element containing thumbnail of the performer<br>
							template.performer_item_footer.php - Same as above, but separate for the footer<br>
							template.performer.php - The performer profile page<br>
							template.sidebar.php - The left sidebar of the default template<br>
							template.signup.php - The user signup page<br>
							template.site_item.php - The repeating element within the sites page.<br>
							template.sites.php - The sites page, which invokes the repeating element site_item.<br>
                            template.static.php - The static page template wrapper, use for instance for terms of service<br>
							template.tag_item.php - The repeating element within the tags page.<br>
							template.tags.php - The tags page, which invokes the repeating element site_item.<br>
							template.validate.php - The page the user sees after validating their email<br>
                        
                        
                    </div>
                </div>
            </div>

           

            <div class="content collapsible collapsed">
                <h3 class="api-head head"><i class="ion ion-arrow-down-a"></i> Cron Jobs</h3>
                <div class="contents">
                    <div class="text">
                        <p>The script by default has one main cron job that fetches the data from the cam APIs. It is located in the /admin/crons/ directory, and usage is as follows:</p>
						<p>cd <?php echo $basepath; ?>/admin/crons/; <? echo $php_path; ?> cronFetchPerformers.php;</p>
						<p>This will run through every enabled cam API and add it's performers. If you do not have an API KEY/Webmaster ID/etc added for a specific site, it may fail on that site. It is recommended to add this to cron to run every 5 minutes:</p>
						<p>
						*/5 * * * * cd <?php echo $basepath; ?>/admin/crons/; <? echo $php_path; ?> cronFetchPerformers.php;
						</p>
						<p>You can also run it on a single site using parameters:</p>
						<p>cd <?php echo $basepath; ?>/admin/crons/; <? echo $php_path; ?> cronFetchPerformers.php --site=1;<br>
						(where 1 is the database ID number of the site, which can be found in sites/api section in the edit URL)</p>
						<p>There is another optional cronjob called cronCleanup.php. This deletes models that haven't been online in X days. X is defined in the admin area settings page. It is recommended to use this cron if your database is large and you are experiencing poor site performance.</p>
						<p>
						0 1 * * * cd <?php echo $basepath; ?>/admin/crons/; <? echo $php_path; ?> cronCleanup.php;
						</p>
						
                    </div>
                </div>
            </div>
			
			<div class="content collapsible collapsed">
                <h3 class="api-head head"><i class="ion ion-arrow-down-a"></i> API Key Locations on Sites</h3>
                <div class="contents">
                    <div class="text">
					
					
						<h3>Chaturbate</h3>
						<p>Signup at <a href='https://chaturbate.com/in/?tour=9O7D&campaign=Fxd8Y&track=default' target='_blank'>Chaturbate</a>. After logging in, go to <a target="_blank" href='https://chaturbate.com/affiliates/promotools/api_usersonline/'>https://chaturbate.com/affiliates/promotools/api_usersonline/</a> and copy the (usually) 5 character value of "wm=" in the API URL.
						
						<h3>BongaCams</h3>
						<p>Signup at <a href='https://en.bongacash.com/ref?c=755842' target='_blank'>BongaCash</a>. After logging in, go to <a target="_blank" href='https://en.bongacash.com/promo/online-models?v=2'>https://en.bongacash.com/promo/online-models?v=2</a> and copy the "CAMPAIGN ID"
						
						<h3>Cam4</h3>
						<p>Signup at <a href='https://affiliates.cam4.com/signup/3264' target='_blank'>Cam4</a>. After logging in, go to <a target="_blank" href='https://pinklabel.com/tools/feed?locale=en'>https://pinklabel.com/tools/feed?locale=en</a>, press submit leaving everything as default, and copy the value of the aff_id parameter from the feed URL.
						
						
						<h3>LiveJasmin</h3>
						<p>Signup at <a href='https://apptjmp.com/?siteId=awe&pageName=signup&prm[referral_rs]=mechbunny&filters=' target='_blank'>AWEmpire</a>. Go to Promo Tools, then Model Feed, Leave everything default, press Generate adn copy the 'accessKey' part of the URL that is generated. Insert this access key into the script and enter your PSID (your awempire username) into the other additional parameters field.
						
						
						
                        <h3>XLove</h3>
						<p>Signup at <a href='https://www.xlovecash.com/?idc=21774&trac=' target='_blank'>XLoveCash</a>. After logging in, AuthSecret and Affiliate ID can be found at <a target="_blank" href='https://www.xlovecash.com/affiliate/promotools?s_site=1&aff=json_api'>https://www.xlovecash.com/affiliate/promotools?s_site=1&aff=json_api</a>
						
						<h3>CamSoda</h3>
						<p>Signup at <a href='https://partners.camsoda.com/' target='_blank'>CamSoda</a>. Enter your username from here as affiliate ID into this script.
						
						
						<h3>StripChat</h3>
						<p>Signup at <a href='https://stripcash.com/sign-up/?userId=04941dc271091a0042dfa9349fe8170c649ddd1f0e45a3f1e40b5bd4dd9188b3' target='_blank'>Stripcash</a>. Go to "Links & Ad Creatives -> Linkbuilder" and copy the value of the userId parameter in the URL displayed there to userId in your settings. For API Key, you must go to Service->API Domain, add new domain and then copy the generated API key.
						
						<h3>CherryTV</h3>
						<p>Sign up at https://cherrycash.com. After signup, you must manually request an API key from your account manager.</p>
						
						<h3>Streamate/Cambuilder</h3>
						<p>Sign up at https://cambuilder.com. After signup, either create a whitelabel or select promotion of Streamate. If using a whitelabel, after setup insert your whitelabel domain into the whitelabel domain field and set AFNO to "0" (AFNO is not used when using whitelabels). If you leave the whitelabel field blank, the script assumes you are using streamate and you must enter actual AFNO. You can get this by going to Promo Tools, selecting streamate, selected ad type "link code" and  looking at the URL for any of the link codes.</p>
						
						<h3>ImLive</h3>
						<p>Sign up at <a href='https://affiliate.imlive.com/wmaster.asp?WID=430892700&promocode=BCODET0000271_00000' target='_blank'>ImLive</a>. After signup, go to Promotools, ImLive.com General Adult, Per Member, Advanced Feeds, Online Hosts RSS then generate link and copy the Promocode and WID into the script. Please note - ImLive's feed does not provide much information and only contains the username, thumb, and link. It does not contain gender or any tags. </p>
						
						<h3>SkyPrivate</h3>
						<p>Sign up at <a href='https://affiliates.whalehunter.cash/track/ODUwMS41Mi4xOC4xOC4wLjAuMC4wLjAuMC4wLjA' target='_blank'>WhaleHunter Cash</a>. After signup, go to Promotools->API Feeds and copy the full link labeled "ONLINE ONLY models from SkyPrivate.com" with type labeled as "JSON".</p>
                    </div>
                </div>
            </div>

            
			
				
			
        </div>
    </div>
</div>
<? require "footer.php"; ?>
